# pqxx::internal::pq Namespace Reference

Forward declarations of libpq types as needed in libpqxx headers. More...

## Typedefs

typedef pg_conn | PGconn
typedef pg_result | PGresult
typedef pgNotify | PGnotify
typedef void(*) | PQnoticeProcessor (void *, const char *)

## Detailed Description

Forward declarations of libpq types as needed in libpqxx headers.

## Typedef Documentation

typedef pg_conn pqxx::internal::pq::PGconn

typedef pgNotify pqxx::internal::pq::PGnotify

typedef pg_result pqxx::internal::pq::PGresult

typedef void(*) pqxx::internal::pq::PQnoticeProcessor(void *, const char *)